# check_compiler_kwds function

(Shortest import: `from brian2.codegen.codeobject import check_compiler_kwds)`

brian2.codegen.codeobject.check_compiler_kwds(compiler_kwds, accepted_kwds, target)

  Internal function to check the provided compiler keywords against the list of understood keywords.

  Parameters:

    compiler_kwds : dict

    > Dictionary of compiler keywords and respective list of values.

    accepted_kwds : list of str

    > The compiler keywords understood by the code generation target

    target : str

    > The name of the code generation target (used for the error message).

  Raises

  `ValueError`

    If a compiler keyword is not understood